/* stylelint-disable order/order */
/*
* Converts an pixel value into a rem value.
*
* @param string  $values    the pixel value(s) as a number. Can convert multiple values if values separated by a space.
* @param integer $base      the base pixel value.
*
* @return string   a space-separated string of rem values.
*/
/*
* This is an abbreviated wrapper for the responsive-values function.
*/
/*
* Creates a CSS clamp value that sizes between breakpoints.
*
* @param integer $min                    the minimum pixel value.
* @param integer $max                    the maximum pixel value.
* @param string  $smallest-breakpoint    the name of the smallest breakpoint from the $grid-breakpoints variable.
* @param string  $largest-breakpoint     the name of the largest breakpoint from the $grid-breakpoints variable.
* @param string  $screen                 whether to use a horizontal (width) breakpoint or a vertical (height) breakpoint.
*
* @return string   a CSS clamp property value.
*/
/*
* Outputs a font family value from the $fonts variable.
*
* @param string  $key   the font key.
*
* @return string   a font family value.
*/
/*
* Outputs a color value from the $paints or $additional-paints variables.
*
* @param string  $key   the color name.
*
* @return string   a color value.
*/
/*
* Outputs an effect value from the $effects variable.
*
* @param string  $key   the effect name.
*
* @return string   an effect value.
*/
/* stylelint-enable order/order */
/*
* Used to target heading selectors.
*
* @param integer  $start               the first heading element to target. 1 through 6.
* @param integer  $end                 the last heading element to target. 1 through 6.
* @param string   $beforeCombinator    the CSS combinator to include before the heading classes.
* @param string   $afterCombinator     the CSS combinator to include after the heading classes.
* @param boolean  $includeFontClasses  whether or not to include the .has-t-1... classes or just output the standard heading elements.
*
* @return string  The included CSS wrapped with selectors for the specified headings.
*/
/*
* Used to add properties to a for a pseudo element to make an icon based on the iconfont set.
*
* @param string   $content     the content for the icon. Usually uses one of the iconfont variables.
* @param string   $font-size   the font size with unit.
*
* @return string  The CSS properties for the icon.
*/
/*
* Generates CSS to fit an element into the 12-column grid. Only works when used on an element where the parent element is the width of the entire page.
*
* @return string  CSS properties to set the width of the element to the specified column sizes.
*/
/*
* Used to target elements with a background color that has a text color different from the standard color.
*
* @return string  The included CSS wrapped with selectors for the specified background.
*/
/*
* Used to add the CSS Grid properties for the 12-column grid.
*
* @return string  The CSS Grid properties for the 12-column grid.
*/
/* Quick Positioning */
/****************
 * Fonts
 *
 * The font settings are defined via the gulp figma which task creates variables in the css/__base-includes/figma/_figma-font-styles.scss file based on the Figma file. Additional variables are defined here.
 ****************/
/*
* This array is used to specify the fonts used on the project with the following parameters:
	base - the name for use in the font() mixin.
		css - the output CSS value.
		figma-name: - the 'font-family' name ued in the _figma-font-variable.scss file.
	)
*/
/****************
 * Colors
 *
 * The primary colors are defined via the gulp figma task which creates variables in the css/__base-includes/figma/_figma-color-variables.scss file based on the Figma file. Additional variables are defined here.
 ****************/
/* If additional colors need to be added to the _figma-color-variables.scss, they can be added to this variable: */
/* This variable controls the background colors generated in the ACF background_color field and the background color classes - bg-white, bg-gray-92, etc: */
/* If a background color uses a different font color than the default color, use these variables to specify the alternate colors */
/* Backgrounds specified in this variable will use the alternative text colors: */
/****************
 * Effects
 ****************/
/****************
 * Grid Settings
 ****************/
/****************
 * Block Spacing
 *
 * These variables are based on the "Spacing" rules found in the "Foundations" section in Figma. These control the default spacing between blocks of different colors.
 ****************/
/*
This file can be used for optional additions to the Figma-generated font style mixins in the figma/_figma-font-styles.scss file.

For example, if you want to add styles to the @overline mixin, just create a mixin here called @overline-custom and that CSS will be added to the primary mixin:

@mixin overline-custom() {
	font-weight: 700;
}
*/
.block-cta-image {
  position: relative;
  display: inline-block;
  width: 100%;
  padding: 0;
  background-color: #f7f7f7;
}
@media (max-width: 47.98rem) {
  .block-cta-image.hide-on-mobile .block-cta-image__text {
    display: none;
  }
}
.block-cta-image .wp-block-heading {
  margin-bottom: 2rem;
}
.block-cta-image__container {
  position: relative;
  z-index: 2;
  min-height: clamp(25.6875rem, 3.4017857143rem + 46.4285714286vw, 45.1875rem);
  margin-top: 7.5rem;
}
@media (max-width: 47.98rem) {
  .block-cta-image__container {
    padding-bottom: 14.4375rem;
  }
}
.block-cta-image__bg {
  position: absolute;
  top: clamp(3.5rem, 5.1071428571rem + -1.7857142857vw, 4.25rem);
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 1;
}
.block-cta-image__bg::before {
  position: absolute;
  top: 0;
  left: 0;
  bottom: auto;
  right: 0;
  content: "";
  z-index: 2;
  width: 100%;
  height: clamp(10.75rem, -0.8214285714rem + 24.1071428571vw, 20.875rem);
  background-image: linear-gradient(180deg, #f7f7f7 0%, rgba(247, 247, 247, 0) 100%);
}
.block-cta-image__text {
  max-width: 53.125rem;
  margin: 0 auto 2.5rem;
}
.block-cta-image .block-card-text-link {
  max-height: 3.5rem;
}
.block-cta-image .block-card-text-link button {
  margin-bottom: 0 !important;
  padding: 0 !important;
  border: none !important;
}
.block-cta-image .block-card-text-links {
  max-width: 53.125rem;
  margin: clamp(1rem, -0.7142857143rem + 3.5714285714vw, 2.5rem) auto 0 !important;
  padding: 0;
}
.block-cta-image .block-card-text-links__container {
  padding: 0;
}
.block-cta-image .wp-block-button__link::after {
  color: #000;
}
.block-cta-image .wp-block-button__link:hover::after, .block-cta-image .wp-block-button__link:focus::after {
  color: #fff;
}

.acf-block.bg-neutral-97 + .block-cta-image .block-cta-image__container {
  margin-top: 0;
}